Bug 809941 - emelfm2 segfaults
emelfm2 segfaults
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emelfm2 (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 13:28 EDT by xaphir
Modified: 2012-05-06 00:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: emelfm2-0.8.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 18:51:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xaphir 2012-04-04 13:28:39 EDT
Description of problem:

emelfm2 was rock solid up until sometime around January or Febuary; Fedora 16 was released in November iirc. After kernel and other updates around that time, odd things began to occur.  Only recently did I take a hard look at it cause segfaults started happening.

The fault as tested happens when copying or moving files.  It's happened in other instances of use as well, but this was the first reproducable condition I had gdb test results on. 

Version-Release number of selected component (if applicable):

emelfm2-0.8.0-1.fc16.x86_64

How reproducible:

Attempt a file copy or a move, multiple attempts may be required.

  
Actual results:

Segfault

Expected results:

No Segfault

Additional info:


Here is a gdb report as requested by the maintainer:


gdb emelfm2
GNU gdb (GDB) Fedora (7.3.50.20110722-13.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/emelfm2...Reading symbols from /usr/lib/debug/usr/bin/emelfm2.debug...done.
done.
(gdb) run
Starting program: /usr/bin/emelfm2
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffe6514700 (LWP 2093)]
[New Thread 0x7fffe5d13700 (LWP 2094)]
[Thread 0x7fffe6514700 (LWP 2093) exited]
[Thread 0x7fffe5d13700 (LWP 2094) exited]
[New Thread 0x7fffe5d13700 (LWP 2095)]
[New Thread 0x7fffe6514700 (LWP 2109)]
[Thread 0x7fffe6514700 (LWP 2109) exited]
[New Thread 0x7fffe6514700 (LWP 2111)]
[Thread 0x7fffe6514700 (LWP 2111) exited]
[New Thread 0x7fffe6514700 (LWP 2112)]
[Thread 0x7fffe6514700 (LWP 2112) exited]
[New Thread 0x7fffe6514700 (LWP 2114)]
[Thread 0x7fffe6514700 (LWP 2114) exited]
[New Thread 0x7fffe6514700 (LWP 2116)]
[Thread 0x7fffe6514700 (LWP 2116) exited]
[New Thread 0x7fffe6514700 (LWP 2120)]
[Thread 0x7fffe6514700 (LWP 2120) exited]
[New Thread 0x7fffe6514700 (LWP 2135)]
[New Thread 0x7fffe5512700 (LWP 2136)]
[New Thread 0x7fffe4d11700 (LWP 2137)]
[Thread 0x7fffe6514700 (LWP 2135) exited]
[Thread 0x7fffe5512700 (LWP 2136) exited]
[Thread 0x7fffe4d11700 (LWP 2137) exited]
[New Thread 0x7fffe4d11700 (LWP 2138)]
[New Thread 0x7fffe5512700 (LWP 2139)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffe4d11700 (LWP 2138)]
magazine_cache_pop_magazine (countp=0x7fffe0020488, ix=<optimized out>)
    at gslice.c:697
697          ChunkLink *next = magazine_chain_next (current);
(gdb) thread apply all bt full

Thread 15 (Thread 0x7fffe5512700 (LWP 2139)):
#0  0x00007ffff72ccaa1 in IA__gtk_widget_get_window (widget=0x76e0e0)
    at gtkwidget.c:11370
        __inst = 0x76e0e0
        __t = 7734352
        __r = <optimized out>
        _g_boolean_var_ = <optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_widget_get_window"
#1  0x0000000000424c65 in e2_window_set_cursor (type=<optimized out>)
    at src/e2_window.c:1032
        cursor = 0x7fffe0001220
#2  0x00000000004573dd in e2_fileview_refresh_list (view=0x6c10c0)
    at src/e2_fileview.c:4421
        utf = 0x7fffdc001110 "\240\031"
        pnum = PANE2
        local = <optimized out>
        entries = <optimized out>
#3  0x000000000043c6c6 in _e2_filelist_refresh_view (view=<optimized out>)
    at src/e2_filelist.c:362
        hook = 0
#4  _e2_filelist_refresh_view (view=0x6c10c0) at src/e2_filelist.c:335
No locals.
#5  0x00007ffff517ad90 in start_thread (arg=0x7fffe5512700)
    at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7fffe5512700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1,
                -7134792590151034648, 140737488345200, 140737040689600,
                140736951634416, 3, 7134780786549807336,
                7134816576021551336}, mask_was_saved = 0}}, priv = {pad = {
              0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0,
              canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x00007ffff4c96f5d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 14 (Thread 0x7fffe4d11700 (LWP 2138)):
#0  magazine_cache_pop_magazine (countp=0x7fffe0020488, ix=<optimized out>)
    at gslice.c:697
        current = 0x7fffe0019020
        prev = 0x7fffe0012010
---Type <return> to continue, or q <return> to quit---
        next = <optimized out>
#1  thread_memory_magazine1_reload (ix=<optimized out>,
    tmem=<optimized out>) at gslice.c:754
        mag = 0x7fffe0020480
#2  g_slice_alloc (mem_size=400) at gslice.c:831
        tmem = 0x7fffe00202f0
        ix = 24
        chunk_size = 400
        mem = <optimized out>
#3  0x00000000004536a8 in _e2_fileview_make_all_infos (
    parentpath=<optimized out>, list=0x7fffe4d10bc8)
    at src/e2_fileview.c:3019
        len1 = <optimized out>
        len2 = 261
        trailer = 261
        item = 0x7fffe4d1080b "The.Elder.Scrolls.V.Skyrim"
        info = <optimized out>
        member = 0x934840
        errval = 0
        mingle = 1
        localpath = warning: Range for type (null) has invalid bounds 0..-536768081
warning: Range for type (null) has invalid bounds 0..-536768081
warning: Range for type (null) has invalid bounds 0..-536768081
warning: Range for type (null) has invalid bounds 0..-536768081
warning: Range for type (null) has invalid bounds 0..-536768081
warning: Range for type (null) has invalid bounds 0..-536768081
warning: Range for type (null) has invalid bounds 0..-536768081

0x7fffe4d107f0 "/home/el0/Videos/unsorted/The.Elder.Scrolls.V.Skyrim"
#4  0x0000000000457483 in e2_fileview_refresh_list (view=0x6bfcb8)
    at src/e2_fileview.c:4472
        newlookup = <optimized out>
        orig_key = 0x7fffe0020370
        iter = {stamp = -175423488, user_data = 0x7ffff55f4571,
          user_data2 = 0x20, user_data3 = 0x5}
        mdl = <optimized out>
        pindx = <optimized out>
        updates = <optimized out>
        currinfoptr = <optimized out>
        newinfoptr = <optimized out>
        sb = {st_dev = 2309, st_ino = 225280, st_nlink = 4,
          st_mode = 16893, st_uid = 1000, st_gid = 1000, __pad0 = 0,
          st_rdev = 0, st_size = 4096, st_blksize = 4096, st_blocks = 16,
          st_atim = {tv_sec = 140737032293264, tv_nsec = 140737032293248},
          st_mtim = {tv_sec = 140737354119707, tv_nsec = 140737032293312},
          st_ctim = {tv_sec = 140736951562480, tv_nsec = 4}, __unused = {
            140737309934839, 1333557145, 467885}}
        newindx = <optimized out>
        i = <optimized out>
        member = <optimized out>
        indx = <optimized out>
        itemcount = 74
        modes = 0x7fffe0034000
        utf = 0x7fffe0006a30 "/home/el0/Videos/unsorted/"
        pnum = PANE1
---Type <return> to continue, or q <return> to quit---
        local = 0x7fffe0006a30 "/home/el0/Videos/unsorted/"
        entries = 0x934b20
#5  0x000000000043c6c6 in _e2_filelist_refresh_view (view=<optimized out>)
    at src/e2_filelist.c:362
        hook = 0
#6  _e2_filelist_refresh_view (view=0x6bfcb8) at src/e2_filelist.c:335
No locals.
#7  0x00007ffff517ad90 in start_thread (arg=0x7fffe4d11700)
    at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7fffe4d11700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1,
                -7134792590151034648, 140737488345200, 140737032296896,
                140736951633168, 3, 7134781886598306024,
                7134816576021551336}, mask_was_saved = 0}}, priv = {pad = {
              0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0,
              canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x00007ffff4c96f5d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 4 (Thread 0x7fffe5d13700 (LWP 2095)):
#0  0x00007ffff4c8e5c3 in __GI___poll (fds=<optimized out>,
    nfds=<optimized out>, timeout=<optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007ffff55d9fd8 in g_main_context_poll (n_fds=3, fds=0x7fffd801c810,
    priority=<optimized out>, timeout=-1, context=0x913330) at gmain.c:3402
        poll_func = 0x7ffff55e83d0 <g_poll>
#2  g_main_context_iterate (context=0x913330, block=<optimized out>,
    dispatch=1, self=<optimized out>) at gmain.c:3084
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = <optimized out>
        fds = 0x7fffd801c810
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00007ffff55da815 in g_main_loop_run (loop=0x9132e0) at gmain.c:3297
        self = 0x913420
---Type <return> to continue, or q <return> to quit---
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007ffff6af8d86 in gdbus_shared_thread_func (user_data=0x913300)
    at gdbusprivate.c:276
        data = 0x913300
#5  0x00007ffff55ff226 in g_thread_create_proxy (data=0x913420)
    at gthread.c:1962
        thread = 0x913420
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00007ffff517ad90 in start_thread (arg=0x7fffe5d13700)
    at pthread_create.c:309
        __res = <optimized out>
        pd = 0x7fffe5d13700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1,
                -7134792590151034648, 140737488344768, 140737049082304,
                9341776, 3, 7134779686501308648, 7134816576021551336},
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0},
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007ffff4c96f5d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 0x7ffff7fd4940 (LWP 2089)):
#0  0x00007ffff4c8e5c3 in __GI___poll (fds=<optimized out>,
    nfds=<optimized out>, timeout=<optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = <optimized out>
        oldtype = 0
        result = <optimized out>
#1  0x00007ffff55d9fd8 in g_main_context_poll (n_fds=2, fds=0x8ede80,
    priority=<optimized out>, timeout=210, context=0x700710) at gmain.c:3402
        poll_func = 0x7ffff55e83d0 <g_poll>
#2  g_main_context_iterate (context=0x700710, block=<optimized out>,
    dispatch=1, self=<optimized out>) at gmain.c:3084
        max_priority = 2147483647
        timeout = 210
        some_ready = <optimized out>
        nfds = 2
        allocated_nfds = <optimized out>
        fds = 0x8ede80
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00007ffff55da815 in g_main_loop_run (loop=0x8c0dc0) at gmain.c:3297
        self = 0x6c5090
---Type <return> to continue, or q <return> to quit---
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007ffff7186bb7 in IA__gtk_main () at gtkmain.c:1256
        tmp_list = <optimized out>
        functions = 0x0
        init = <optimized out>
        loop = 0x8c0dc0
#5  0x000000000042344e in main (argc=1, argv=0x7fffffffdc68)
    at src/e2_main.c:913
        attr = {__size = "\001\000\000", __align = 1}
        levels = -1
        confdir_ok = <optimized out>
        confile_ok = <optimized out>
        pos = <optimized out>
        tmp = 0x0
        sigdata = {__sigaction_handler = {
            sa_handler = 0x43dfc0 <_e2_main_system_shutdown>,
            sa_sigaction = 0x43dfc0 <_e2_main_system_shutdown>}, sa_mask = {
            __val = {18446744067267100671,
              18446744073709551615 <repeats 15 times>}}, sa_flags = 0,
          sa_restorer = 0x7ffff4c20790 <flush_cleanup>}
(gdb) quit
A debugging session is active.

    Inferior 1 [process 2089] will be killed.
Comment 1 Fedora Update System 2012-04-24 17:09:43 EDT
emelfm2-0.8.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emelfm2-0.8.1-1.fc17
Comment 2 Fedora Update System 2012-04-24 17:10:08 EDT
emelfm2-0.8.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/emelfm2-0.8.1-1.fc15
Comment 3 Fedora Update System 2012-04-24 17:10:15 EDT
emelfm2-0.8.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/emelfm2-0.8.1-1.fc16
Comment 4 Fedora Update System 2012-04-25 23:25:39 EDT
Package emelfm2-0.8.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emelfm2-0.8.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6618/emelfm2-0.8.1-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-03 18:51:25 EDT
emelfm2-0.8.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-03 18:55:27 EDT
emelfm2-0.8.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-05-06 00:54:39 EDT
emelfm2-0.8.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.